> This page is for Itential Platform On-Prem, version 6 (default).
> For other versions, use one of these documentation indexes:
> - 6 (default): https://docs-test.itntl.com/itential-platform/6/llms.txt
> - 2023.2: https://docs-test.itntl.com/itential-platform/2023-2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-test.itntl.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-test.itntl.com/_mcp/server.

# Get tasks

GET https://example.itential.io/workflow_builder/tasks/list

Returns all Tasks.

Reference: https://docs-test.itntl.com/itential-platform/6/api-reference/workflow-builder/get-tasks-list

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Response

### 200

List of all Tasks.

- `list of WorkflowBuilderTasksListGetResponsesContentApplicationJsonSchemaItems`

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### WorkflowBuilderTasksListGetResponsesContentApplicationJsonSchemaItems

- `name` (string, optional)
- `summary` (string, optional)
- `description` (string, optional)
- `location` (enum, optional)
  - Allowed values: `Application`, `Adapter`, `Broker`
- `app` (string, optional)
- `invalidTaskActors` (enum, optional)
  - Allowed values: `Pronghorn`, `job`, `task`
- `displayName` (string, optional)
- `type` (enum, optional)
  - Allowed values: `automatic`, `manual`, `operation`
- `variables` (WorkflowBuilderTasksListGetResponsesContentApplicationJsonSchemaItemsVariables, optional)
- `deprecated` (boolean, optional)

### WorkflowBuilderTasksListGetResponsesContentApplicationJsonSchemaItemsVariables

- `incoming` (WorkflowBuilderTasksListGetResponsesContentApplicationJsonSchemaItemsVariablesIncoming, optional)
- `outgoing` (WorkflowBuilderTasksListGetResponsesContentApplicationJsonSchemaItemsVariablesOutgoing, optional)

### WorkflowBuilderTasksListGetResponsesContentApplicationJsonSchemaItemsVariablesIncoming

### WorkflowBuilderTasksListGetResponsesContentApplicationJsonSchemaItemsVariablesOutgoing

## Examples

**Response**

```json
[
  {
    "name": "string",
    "summary": "string",
    "description": "string",
    "location": "Application",
    "app": "string",
    "invalidTaskActors": "Pronghorn",
    "displayName": "string",
    "type": "automatic",
    "variables": {
      "incoming": {},
      "outgoing": {}
    },
    "deprecated": true
  }
]
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/workflow_builder/tasks/list"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/workflow_builder/tasks/list';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/workflow_builder/tasks/list"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/workflow_builder/tasks/list")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/workflow_builder/tasks/list")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/workflow_builder/tasks/list');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/workflow_builder/tasks/list");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/workflow_builder/tasks/list")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```